summaryrefslogtreecommitdiffstats
path: root/libraries/raptor
diff options
context:
space:
mode:
author Matteo Bernardini2012-09-07 20:12:26 +0200
committer Robby Workman2012-09-09 00:28:31 +0200
commitfcbb994d94304154628029599f820bf82939407a (patch)
tree7c8d927963934be6bcd9355500ebaec018e5925f /libraries/raptor
parentb302d4393c1cae5a4aaaba583983ccd50d1b02df (diff)
downloadslackbuilds-fcbb994d94304154628029599f820bf82939407a.tar.gz
libraries/raptor: Added (RDF Parser & Serializer).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries/raptor')
-rw-r--r--libraries/raptor/README8
-rw-r--r--libraries/raptor/raptor.SlackBuild112
-rw-r--r--libraries/raptor/raptor.info10
-rw-r--r--libraries/raptor/slack-desc19
4 files changed, 149 insertions, 0 deletions
diff --git a/libraries/raptor/README b/libraries/raptor/README
new file mode 100644
index 0000000000..6716e96605
--- /dev/null
+++ b/libraries/raptor/README
@@ -0,0 +1,8 @@
+raptor (RDF Parser & Serializer)
+
+Raptor is a free software/Open Source C library that provides a set of
+parsers and serializers that generate Resource Description Framework
+(RDF) triples by parsing syntaxes or serialize the triples into a
+syntax. The supported parsing syntaxes are RDF/XML, N-Triples, TRiG,
+Turtle, RSS tag soup including all versions of RSS, Atom 1.0 and 0.3,
+GRDDL and microformats for HTML, XHTML and XML.
diff --git a/libraries/raptor/raptor.SlackBuild b/libraries/raptor/raptor.SlackBuild
new file mode 100644
index 0000000000..c2cac2b249
--- /dev/null
+++ b/libraries/raptor/raptor.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for raptor
+# Copyright Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy, 2012
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# some stuff is "inspired" by the official ex-raptor.SlackBuild
+# http://slackware.osuosl.org/slackware64-13.37/source/l/raptor/raptor.SlackBuild
+
+PRGNAM=raptor
+VERSION=${VERSION:-1.4.21}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING* INSTALL* LICENSE* NEWS* NOTICE README* RELEASE.html"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Remove a deprecated curl header
+sed -i "s|#include <curl/types\.h>||" src/raptor_internal.h
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# rapper is already included in raptor2, so rename it
+mv $PKG/usr/bin/{rapper,rapper1}
+mv $PKG/usr/man/man1/{rapper,rapper1}.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/raptor-$VERSION ; ln -s /usr/share/gtk-doc/html/raptor html )
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/raptor/raptor.info b/libraries/raptor/raptor.info
new file mode 100644
index 0000000000..08c91e3304
--- /dev/null
+++ b/libraries/raptor/raptor.info
@@ -0,0 +1,10 @@
+PRGNAM="raptor"
+VERSION="1.4.21"
+HOMEPAGE="http://librdf.org"
+DOWNLOAD="http://download.librdf.org/source/raptor-1.4.21.tar.gz"
+MD5SUM="992061488af7a9e2d933df6b694bb876"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/libraries/raptor/slack-desc b/libraries/raptor/slack-desc
new file mode 100644
index 0000000000..ef16e7adb9
--- /dev/null
+++ b/libraries/raptor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+raptor: raptor (RDF Parser & Serializer)
+raptor:
+raptor: Raptor is a free software/Open Source C library that provides a set of
+raptor: parsers and serializers that generate Resource Description Framework
+raptor: (RDF) triples by parsing syntaxes or serialize the triples into a
+raptor: syntax. The supported parsing syntaxes are RDF/XML, N-Triples, TRiG,
+raptor: Turtle, RSS tag soup including all versions of RSS, Atom 1.0 and 0.3,
+raptor: GRDDL and microformats for HTML, XHTML and XML.
+raptor:
+raptor: Homepage: http://librdf.org/
+raptor: